From: "Ian Stakenvicius" <axs@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/autoconf/
Date: Wed, 22 Feb 2017 20:17:30 +0000 (UTC) [thread overview]
Message-ID: <1487794335.cfc564e94e64013121a4c04a5fad28f783acc517.axs@gentoo> (raw)
commit: cfc564e94e64013121a4c04a5fad28f783acc517
Author: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 22 20:12:15 2017 +0000
Commit: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Wed Feb 22 20:12:15 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfc564e9
Revert "sys-devel/autoconf: drop old SLOT=2.5 versions"
This reverts commit b7aa8161d89b41dc641883c60bacfd671fafcd9e.
autoconf-2.69 was included in this commit and is stable on many arches,
very much breaking the deptree.
sys-devel/autoconf/autoconf-2.69-r1.ebuild | 38 ++++++++++++++++++++
sys-devel/autoconf/autoconf-2.69.ebuild | 57 ++++++++++++++++++++++++++++++
2 files changed, 95 insertions(+)
diff --git a/sys-devel/autoconf/autoconf-2.69-r1.ebuild b/sys-devel/autoconf/autoconf-2.69-r1.ebuild
new file mode 100644
index 0000000000..d8cbfdceb3
--- /dev/null
+++ b/sys-devel/autoconf/autoconf-2.69-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+# For usex.
+inherit eutils
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://git.savannah.gnu.org/${PN}.git
+ http://git.savannah.gnu.org/r/${PN}.git"
+ inherit git-2
+else
+ SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+ ftp://alpha.gnu.org/pub/gnu/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
+fi
+
+DESCRIPTION="Used to create autoconfiguration files"
+HOMEPAGE="https://www.gnu.org/software/autoconf/autoconf.html"
+
+LICENSE="GPL-3"
+SLOT="2.5"
+IUSE="emacs"
+
+DEPEND=">=sys-devel/m4-1.4.16
+ >=dev-lang/perl-5.6"
+RDEPEND="${DEPEND}
+ >=sys-devel/autoconf-wrapper-13"
+PDEPEND="emacs? ( app-emacs/autoconf-mode )"
+
+if [[ -z ${__EBLITS__} && -n ${FILESDIR} ]] ; then
+ source "${FILESDIR}"/eblits/main.eblit || die
+fi
+src_prepare() { eblit-run src_prepare ; }
+src_configure() { eblit-run src_configure ; }
+src_install() { eblit-run src_install ; }
diff --git a/sys-devel/autoconf/autoconf-2.69.ebuild b/sys-devel/autoconf/autoconf-2.69.ebuild
new file mode 100644
index 0000000000..1282cb3788
--- /dev/null
+++ b/sys-devel/autoconf/autoconf-2.69.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+
+inherit eutils
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://git.savannah.gnu.org/${PN}.git
+ http://git.savannah.gnu.org/r/${PN}.git"
+ inherit git-2
+else
+ SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+ ftp://alpha.gnu.org/pub/gnu/${PN}/${P}.tar.xz"
+ KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
+fi
+
+DESCRIPTION="Used to create autoconfiguration files"
+HOMEPAGE="https://www.gnu.org/software/autoconf/autoconf.html"
+
+LICENSE="GPL-3"
+SLOT="2.5"
+IUSE="emacs"
+
+DEPEND=">=sys-devel/m4-1.4.16
+ >=dev-lang/perl-5.6"
+RDEPEND="${DEPEND}
+ >=sys-devel/autoconf-wrapper-13"
+PDEPEND="emacs? ( app-emacs/autoconf-mode )"
+
+src_prepare() {
+ if [[ ${PV} == "9999" ]] ; then
+ autoreconf -f -i || die
+ fi
+ find -name Makefile.in -exec sed -i '/^pkgdatadir/s:$:-@VERSION@:' {} +
+}
+
+src_configure() {
+ # Disable Emacs in the build system since it is in a separate package.
+ export EMACS=no
+ econf --program-suffix="-${PV}" || die
+ # econf updates config.{sub,guess} which forces the manpages
+ # to be regenerated which we dont want to do #146621
+ touch man/*.1
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS BUGS NEWS README TODO THANKS \
+ ChangeLog ChangeLog.0 ChangeLog.1 ChangeLog.2
+
+ local f
+ for f in "${ED}"/usr/share/info/*.info* ; do
+ mv "${f}" "${f/.info/-${SLOT}.info}" || die
+ done
+}
next reply other threads:[~2017-02-22 20:17 UTC|newest]
Thread overview: 117+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-02-22 20:17 Ian Stakenvicius [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-27 20:57 [gentoo-commits] repo/gentoo:master commit in: sys-devel/autoconf/ Sam James
2023-12-24 16:13 Sam James
2023-12-23 17:29 Sam James
2023-12-23 16:57 Sam James
2023-12-23 16:57 Sam James
2023-12-23 16:57 Sam James
2023-12-02 7:13 Sam James
2023-07-19 22:45 Sam James
2023-07-15 8:49 Arthur Zamarin
2023-07-02 16:09 Sam James
2023-06-17 19:44 Arthur Zamarin
2023-06-17 16:52 Sam James
2023-06-17 16:05 Arthur Zamarin
2023-06-17 14:39 Sam James
2023-06-17 10:42 Arthur Zamarin
2023-06-17 10:42 Arthur Zamarin
2023-06-17 10:42 Arthur Zamarin
2023-06-17 9:03 Arthur Zamarin
2023-06-17 8:29 Arthur Zamarin
2023-06-17 7:43 Arthur Zamarin
2023-06-17 7:43 Arthur Zamarin
2023-06-17 6:12 Sam James
2023-03-28 15:15 Sam James
2023-03-27 20:40 Arsen Arsenović
2023-03-27 20:40 Arsen Arsenović
2023-03-27 16:57 Sam James
2022-11-23 1:14 Sam James
2022-11-23 1:14 Sam James
2022-11-22 7:22 Arthur Zamarin
2022-11-22 6:12 Arthur Zamarin
2022-11-22 6:06 Arthur Zamarin
2022-11-22 6:06 Arthur Zamarin
2022-11-22 6:06 Arthur Zamarin
2022-11-22 6:06 Arthur Zamarin
2022-11-22 6:06 Arthur Zamarin
2022-11-22 6:06 Arthur Zamarin
2022-11-22 5:53 Arthur Zamarin
2022-11-22 5:25 Arthur Zamarin
2022-11-22 5:25 Arthur Zamarin
2022-11-22 5:15 Sam James
2022-11-22 4:54 Sam James
2022-11-22 4:54 Sam James
2022-11-22 4:37 Sam James
2022-11-22 4:37 Sam James
2022-11-22 4:37 Sam James
2022-11-22 4:37 Sam James
2022-11-22 4:16 Sam James
2022-11-22 4:16 Sam James
2022-11-22 4:16 Sam James
2022-11-22 4:16 Sam James
2022-10-28 7:01 Sam James
2022-10-18 2:18 Sam James
2022-09-23 2:09 Sam James
2022-09-19 16:31 Sam James
2022-08-18 0:15 Sam James
2022-07-30 9:40 Sam James
2022-06-19 8:09 David Seifert
2022-06-19 8:09 David Seifert
2022-05-25 16:02 WANG Xuerui
2022-04-15 5:48 Sam James
2022-01-06 9:07 David Seifert
2021-10-20 4:03 Sam James
2021-10-14 7:04 Sam James
2021-10-11 15:18 Sam James
2021-10-08 5:02 Sam James
2021-10-04 0:49 Sam James
2021-10-02 20:55 Sam James
2021-10-02 20:54 Sam James
2021-10-02 7:22 Sam James
2021-08-01 19:51 Sam James
2021-08-01 19:49 David Seifert
2021-08-01 17:59 Andreas K. Hüttel
2021-03-09 15:52 Lars Wendler
2021-03-09 15:52 Lars Wendler
2021-01-29 8:24 Lars Wendler
2021-01-29 8:14 Lars Wendler
2021-01-28 23:49 Lars Wendler
2021-01-06 15:32 Fabian Groffen
2021-01-04 19:08 Lars Wendler
2020-12-27 18:18 Fabian Groffen
2020-12-13 2:26 Sam James
2020-12-09 14:18 Lars Wendler
2020-12-09 14:18 Lars Wendler
2020-12-09 14:18 Lars Wendler
2020-12-09 14:18 Lars Wendler
2020-12-01 20:51 Lars Wendler
2020-11-03 18:34 Lars Wendler
2020-10-15 15:48 Lars Wendler
2020-09-02 19:31 Sam James
2020-09-01 0:03 Sam James
2020-08-29 23:58 Sam James
2020-08-29 22:41 Sam James
2020-08-29 22:15 Sam James
2020-08-29 14:48 Thomas Deutschmann
2020-08-27 18:22 Sergei Trofimovich
2019-11-28 10:26 Lars Wendler
2019-11-28 10:26 Lars Wendler
2019-05-04 17:28 Mikle Kolyada
2018-12-22 18:28 Andreas K. Hüttel
2018-05-13 9:47 Lars Wendler
2018-01-18 9:40 Lars Wendler
2018-01-18 9:40 Lars Wendler
2018-01-17 16:18 Lars Wendler
2018-01-14 13:17 Tobias Klausmann
2018-01-11 22:50 Mike Frysinger
2018-01-10 6:19 Markus Meier
2018-01-08 20:12 Sergei Trofimovich
2018-01-06 23:51 Sergei Trofimovich
2018-01-05 9:04 Lars Wendler
2018-01-04 22:11 Sergei Trofimovich
2018-01-04 11:34 Mikle Kolyada
2017-02-22 20:17 Ian Stakenvicius
2017-02-22 19:31 Mike Frysinger
2016-10-25 1:06 Benda XU
2016-03-10 8:30 Patrick Lauer
2016-03-09 18:28 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1487794335.cfc564e94e64013121a4c04a5fad28f783acc517.axs@gentoo \
--to=axs@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox